devguard

Entitlement reviews

Create an entitlement review.

POST
/entitlement-reviews/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

title*string
description?|
deadline?|
type*string
Value in"ONBOARDING" | "OFFBOARDING" | "REVIEW"
organizationId*string
coordinatorId*string
employeeId?|
businessRoleIds?array<>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.devguard.ch/api/entitlement-reviews/" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "type": "ONBOARDING",    "organizationId": "string",    "coordinatorId": "string"  }'
{
  "id": "string",
  "shortId": -9007199254740991,
  "title": "string",
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "finishedAt": "string",
  "deadline": "string",
  "type": "ONBOARDING",
  "organizationId": "string",
  "coordinatorId": "string",
  "employeeId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?